import { ParticleEffectAsset } from './';
import { IInvertAxis } from './enums';
import { Color, Vector3 } from './utils';
export declare abstract class ParticleEffect {
    protected readonly asset: ParticleEffectAsset;
    protected readonly effectName: string;
    protected offset: Vector3;
    protected rotation: Vector3;
    protected color: Color;
    protected scale: number;
    protected range: number;
    protected invertAxis: IInvertAxis;
    private handle;
    constructor(asset: ParticleEffectAsset, effectName: string);
    readonly Handle: number;
    readonly IsActive: boolean;
    abstract start(): boolean;
    stop(): void;
    Rotation: Vector3;
    Range: number;
    InvertAxis: IInvertAxis;
    setParameter(parameterName: string, value: number): void;
    readonly AssetName: string;
    readonly EffectName: string;
    toString(): string;
}
